GET search

metmuseum.org:met-museum-collection-api

Summary: Search the collection
Operation ID: search
Auth: unknown
Description

Performs a search across the collection. Returns matching object IDs. Supports filtering by department, highlighting, and more.

Parameters (7)

dateBegin (integer, query, optional)

Beginning of date range (year)

dateEnd (integer, query, optional)

End of date range (year)

departmentId (integer, query, optional)

Filter by department ID (use /departments to get IDs)

geoLocation (string, query, optional)

Filter by geographic location

hasImages (boolean, query, optional)

Filter to only objects with images

isHighlight (boolean, query, optional)

Filter to only highlight objects

q (string, query, required)

Search query term. Use * for wildcard or empty query with other filters.

Examples (5)

TitleTypeURLAction
Search for sunflowers with highlights only curl https://collectionapi.metmuseum.org/public/collection/v1/search?q=sunflowers&isHighlight=true
Search Egyptian Art department for objects from 1800-1900 curl https://collectionapi.metmuseum.org/public/collection/v1/search?q=amulet&departmentId=10&dateBegin=1800&dateEnd=1900
Search for French paintings with images curl https://collectionapi.metmuseum.org/public/collection/v1/search?q=impressionism&geoLocation=France&hasImages=true
Search the collection openapi-spec https://collectionapi.metmuseum.org/public/collection/v1/search?q=sunflowers
Search the collection openapi-spec https://collectionapi.metmuseum.org/public/collection/v1/search?q=sunflowers&departmentId=11&isHighlight=True&hasImages=True&geoLocation=France&dateBegin=1800&dateEnd=1900

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-03-23 10:47:00.752265 200 543ms
2026-03-23 10:11:49.527371 200 216ms
2026-03-23 09:43:41.697168 200 215ms
2026-03-23 09:04:51.076392 200 563ms

Response Changes

WhenOldNew
2026-03-23 09:43:41.697168 5dc6385642d2 74e260a35b9e
2026-03-23 10:11:49.527371 74e260a35b9e e7ab17ad1564
2026-03-23 10:47:00.752265 e7ab17ad1564 a00a03b110cd